Page MenuHomePhabricator

R3. Add "undo" functionality to edited Flow posts (Russian)
Closed, ResolvedPublic8 Story Points

Description

Add "undo" functionality to edited Flow posts.

This is a prereq for editing other users' posts.

History page

For edits to an existing Flow post, the history item should have an (undo) link.

Example:

( cur | prev | topic ) 00:49, 11 February 2015 . . DannyH (WMF) (Talk | contribs | block) edited a comment on "Major misconception of what is a source." . . (-1)‎ (undo) (hide)

Diff page

For edits to an existing Flow post, the diff page should have an (undo) link next to the "Version" line.

Example URL: http://flow-tests.wmflabs.org/w/index.php?title=Topic:Sap5csuvzewtf9z4&action=compare-post-revisions&topic_newRevision=sbkkdrvx3hzsd740

Example text:

Version by DannyH (WMF) from 36 minutes ago (undo)

Undo page

Clicking an (undo) link takes you to action=edit&undo

Example URL: http://flow-tests.wmflabs.org/w/index.php?title=Chameleons&action=edit&undoafter=557&undo=558

Text:

The edit can be undone. Please check the comparison below to verify that this is what you want to do, and then save the changes below to finish undoing the edit.

Then a comparison of "Latest revision" and "Your text", with an edit window and a save button.

Error handling

If the edit can't be undone, go to an undo page with a red error message: "The edit could not be undone due to conflicting intermediate edits."

Example URL: http://flow-tests.wmflabs.org/w/index.php?title=Chameleons&action=edit&undoafter=556&undo=557

Example screenshots

Article history page undo link:

Article diff page undo link:

Article action=edit&undo page:

Article undo error handling:

Current Flow history page, no undo link:

Current Flow diff page, no undo link:

Event Timeline

DannyH created this task.Feb 11 2015, 1:28 AM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2015, 1:28 AM
DannyH updated the task description. (Show Details)Feb 11 2015, 1:29 AM
DannyH set Security to None.
DannyH updated the task description. (Show Details)Feb 11 2015, 1:31 AM
DannyH edited a custom field.Feb 11 2015, 7:35 PM
DannyH renamed this task from Add "undo" functionality to edited Flow posts (Russian) to R3. Add "undo" functionality to edited Flow posts (Russian).Feb 25 2015, 9:13 PM

Since this is tagged Roadmap, standard roadmap questions apply, see T92874#1124163.

Change 194047 had a related patch set uploaded (by Mattflaschen):
Undo

https://gerrit.wikimedia.org/r/194047

Change 194047 merged by jenkins-bot:
Undo

https://gerrit.wikimedia.org/r/194047

DannyH moved this task from Unscheduled to March 23-27 on the Roadmap board.Mar 19 2015, 9:14 PM
DannyH closed this task as Resolved.Mar 19 2015, 9:42 PM

works on Beta

Restricted Application added a project: Notice. · View Herald TranscriptMar 24 2015, 5:52 PM
gpaumier moved this task from Backlog to Triaged on the Notice board.Mar 25 2015, 9:59 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:45 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 9 2015, 5:45 PM